Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.annots.PagingSeal Class Reference
Inheritance diagram for com.foxit.sdk.pdf.annots.PagingSeal:

## Public Member Functions
| PagingSeal (Annot annot)
| Constructor.
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PagingSealSignature | getPagingSealSignature () throws com.foxit.sdk.PDFException
| Get the associated paging seal signature. More...
Public Member Functions inherited from com.foxit.sdk.pdf.annots.Annot
| Annot (PDFPage page, PDFDictionary annot_dict) throws com.foxit.sdk.PDFException
| Constructor, with PDF page and annotation's PDF dictionary. More...
| Annot (Annot annot)
| Constructor, with another annotation object. More...
| Annot ()
| Constructor.
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PDFStream | getAppearanceStream (int type, String appearance_state) throws com.foxit.sdk.PDFException
| Get annotation's appearance stream with specified type and state. More...
long | getBorderColor () throws com.foxit.sdk.PDFException
| Get border color. More...
BorderInfo | getBorderInfo () throws com.foxit.sdk.PDFException
| Get border information. More...
String | getContent () throws com.foxit.sdk.PDFException
| Get content. More...
RectI | getDeviceRect (Matrix2D matrix) throws com.foxit.sdk.PDFException
| Get annotation rectangle in device coordinate system. More...
PDFDictionary | getDict () throws com.foxit.sdk.PDFException
| Get annotation's dictionary object. More...
Matrix2D | getDisplayMatrix (Matrix2D page_display_matrix) throws com.foxit.sdk.PDFException
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
int | getFlags () throws com.foxit.sdk.PDFException
| Get annotation flags. More...
int | getIndex () throws com.foxit.sdk.PDFException
| Get the index of current annotation in the page which current annotation belongs to. More...
DateTime | getModifiedDateTime () throws com.foxit.sdk.PDFException
| Get last modified date time. More...
PDFDictionary | getOptionalContent () throws com.foxit.sdk.PDFException
| Get the PDF dictionary of annotation's optional content. More...
PDFPage | getPage () throws com.foxit.sdk.PDFException
| Get the related PDF page. More...
RectF | getRect () throws com.foxit.sdk.PDFException
| Get rectangle, in PDF coordinate system. More...
int | getType () throws com.foxit.sdk.PDFException
| Get actual annotation type of current annotation. More...
String | getUniqueID () throws com.foxit.sdk.PDFException
| Get unique ID. More...
boolean | hasProperty (int property) throws com.foxit.sdk.PDFException
| Whether current annotation has the specified annotation's property. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
boolean | isMarkup () throws com.foxit.sdk.PDFException
| Check if current annotation is a markup annotation. More...
boolean | move (RectF rect) throws com.foxit.sdk.PDFException
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
boolean | move (RectF rect, boolean is_reset_appearance) throws com.foxit.sdk.PDFException
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
boolean | removeProperty (int property) throws com.foxit.sdk.PDFException
| Remove a specified annotation's property. More...
boolean | resetAppearanceStream () throws com.foxit.sdk.PDFException
| Reset appearance stream. More...
boolean | resetAppearanceStream (boolean is_generate_new_appearance_obj) throws com.foxit.sdk.PDFException
| Reset appearance stream. More...
void | setBorderColor (long color) throws com.foxit.sdk.PDFException
| Set border color. More...
void | setBorderInfo (BorderInfo border) throws com.foxit.sdk.PDFException
| Set border information. More...
void | setContent (String content) throws com.foxit.sdk.PDFException
| Set content. More...
void | setFlags (int flags) throws com.foxit.sdk.PDFException
| Set annotation flags. More...
void | setModifiedDateTime (DateTime date_time) throws com.foxit.sdk.PDFException
| Set last modified date time. More...
void | setUniqueID (String unique_id) throws com.foxit.sdk.PDFException
| Set unique ID. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Additional Inherited Members
Static Public Attributes inherited from com.foxit.sdk.pdf.annots.Annot
static final int | e_3D = 25
| Annotation type: 3D annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_AppearanceTypeDown = 2
| Annotation's down appearance.
static final int | e_AppearanceTypeNormal = 0
| Annotation's normal appearance.
static final int | e_AppearanceTypeRollover = 1
| Annotation's rollover appearance.
static final int | e_Caret = 14
| Annotation type: caret annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Circle = 6
| Annotation type: circle annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_FileAttachment = 17
| Annotation type: file attachment annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_FlagHidden = 0x0002
| Annotation flag: hidden. More...
static final int | e_FlagInvisible = 0x0001
| Annotation flag: invisible. More...
static final int | e_FlagLocked = 0x0080
| Annotation flag: locked. More...
static final int | e_FlagLockedContents = 0x0200
| Annotation flag: locked contents. More...
static final int | e_FlagNoRotate = 0x0010
| Annotation flag: no rotate. More...
static final int | e_FlagNoView = 0x0020
| Annotation flag: no view. More...
static final int | e_FlagNoZoom = 0x0008
| Annotation flag: no zoom. More...
static final int | e_FlagPrint = 0x0004
| Annotation flag: print. More...
static final int | e_FlagReadOnly = 0x0040
| Annotation flag: read only. More...
static final int | e_FlagToggleNoView = 0x0100
| Annotation flag: toggle no view. More...
static final int | e_FreeText = 3
| Annotation type: free text annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Highlight = 9
| Annotation type: highlight annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_HighlightingInvert = 1
| Highlighting mode: Invert, which is to invert the contents of the annotation rectangle.
static final int | e_HighlightingNone = 0
| Highlighting mode: No highlighting.
static final int | e_HighlightingOutline = 2
| Highlighting mode: Outline, which is to invert the annotation's border.
static final int | e_HighlightingPush = 3
| Highlighting mode: Push, which is to display the annotation's down appearance, if any.
static final int | e_HighlightingToggle = 4
| Highlighting mode: Toggle. This is only useful for widget annotation.
static final int | e_Ink = 15
| Annotation type: ink annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Line = 4
| Annotation type: line annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Link = 2
| Annotation type: link annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_MKEntryBackgroundColor = 2
| Background color entry. "BG" in MK dictionary.
static final int | e_MKEntryBorderColor = 1
| Border color entry. "BC" in MK dictionary.
static final int | e_MKEntryDownCaption = 5
| Down caption (or alternate caption) entry. "AC" in MK dictionary. More...
static final int | e_MKEntryDownIcon = 8
| Down icon (or alternate icon) entry. "IX" in MK dictionary. More...
static final int | e_MKEntryIconCaptionRelation = 10
| Icon and caption relation entry. "TP" in MK dictionary. More...
static final int | e_MKEntryIconFit = 9
| Icon fit information entry. "IF" in MK dictionary. More...
static final int | e_MKEntryNormalCaption = 3
| Normal caption entry. "CA" in MK dictionary. More...
static final int | e_MKEntryNormalIcon = 6
| Normal icon entry. "I" in MK dictionary. More...
static final int | e_MKEntryRolloverCaption = 4
| Rollover caption entry. "RC" in MK dictionary. More...
static final int | e_MKEntryRolloverIcon = 7
| Rollover icon entry. "RI" in MK dictionary. More...
static final int | e_MKEntryRotation = 0
| Rotation entry. "R" in MK dictionary.
static final int | e_MKRelationCaptionAboveIcon = 3
| Caption above the icon.
static final int | e_MKRelationCaptionBelowIcon = 2
| Caption below the icon.
static final int | e_MKRelationCaptionLeft = 5
| Caption to the left of the icon.
static final int | e_MKRelationCaptionOvrlayOnIcon = 6
| Caption overlaid directly on the icon.
static final int | e_MKRelationCaptionRight = 4
| Caption to the right of the icon.
static final int | e_MKRelationNoCaption = 1
| No caption; icon only.
static final int | e_MKRelationNoIcon = 0
| No icon; captin only.
static final int | e_Movie = 19
| Annotation type: movie annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Note = 1
| Annotation type: note annotation, which is just "Text" annotation - one of standard annotation in <PDF reference 1.7>.
static final int | e_PagingSeal = 29
| Annotation type: paging seal annotation. A Foxit PDF SDK custom annotation type (not a standard annotation type).
static final int | e_Polygon = 7
| Annotation type: polygon annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_PolyLine = 8
| Annotation type: polyline annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Popup = 26
| Annotation type: pop-up annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_PrinterMark = 22
| Annotation type: printer's mark annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_PropertyBorderColor = 2
| Annotation property: border color. More...
static final int | e_PropertyCreationDate = 1
| Annotation property: creation date. More...
static final int | e_PropertyFillColor = 3
| Annotation property: fill color. More...
static final int | e_PropertyModifiedDate = 0
| Annotation property: modified date.
static final int | e_PSInk = 16
| Annotation type: pressure sensitive ink annotation.
static final int | e_Redact = 27
| Annotation type: redact annotation.
static final int | e_RichMedia = 28
| Annotation type: rich media annotation.
static final int | e_Screen = 21
| Annotation type: screen annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Sound = 18
| Annotation type: sound annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Square = 5
| Annotation type: square annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Squiggly = 11
| Annotation type: squiggly annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Stamp = 13
| Annotation type: stamp annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_StrikeOut = 12
| Annotation type: strikeout annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_TrapNet = 23
| Annotation type: trap network annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Underline = 10
| Annotation type: underline annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_UnknownType = 0
| Annotation type: unknown.
static final int | e_Watermark = 24
| Annotation type: watermark annotation. One of standard annotation in <PDF reference 1.7>.
static final int | e_Widget = 20
| Annotation type: widget annotation. One of standard annotation in <PDF reference 1.7>. More...

## Detailed Description

Class PagingSeal represents a Foxit PDF SDK custom annotation type (not a standard annotation type). An existed paging seal annotation can be retrieved from PDF page by functions pdf.PDFPage.getAnnot and pdf.PDFPage.getAnnotAtPoint . A new paging seal annotation would be added by function pdf.PagingSealSignature.generateAppearance , instead of pdf.PDFPage.addAnnot .
To set properties of paging seal, please use the function pdf.PagingSealSignature.setPagingSealConfig . To remove the paging seal annotation, please call the function pdf.PDFDoc.removeSignature by the paging seal signature object returned by function PagingSeal.getPagingSealSignature .
Besides, paging seal annotation cannot be moved by function Annot.move .

See also
  Annot
  com.foxit.sdk.pdf.PDFDoc
  com.foxit.sdk.pdf.PagingSealSignature

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.annots.PagingSeal.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getPagingSealSignature()

PagingSealSignature com.foxit.sdk.pdf.annots.PagingSeal.getPagingSealSignature | ( |  | ) | throws com.foxit.sdk.PDFException

Get the associated paging seal signature.

Returns
  The paging seal signature object.